Skip to main content
PATCH
Update account member

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

account_id
string<uuid>
required
user_id
string<uuid>
required

Body

application/json
role
enum<string>
required

Member role. Promoting to or demoting from owner requires account ownership authority. The account must retain at least one owner. Setting the current role succeeds without a change.

Available options:
owner,
admin,
member

Response

The updated member

user_id
string<uuid>
required
email
string
required
name
string | null
required
avatar_src
string | null
required
role
enum<string>
required
Available options:
owner,
admin,
member
invited_by_user_id
string<uuid> | null
required
created_at
string
required
updated_at
string
required